var app = new Vue({
  el: "#app",
  data: {	 
	 removeEnabled: true,
	 packagesRemoved: false
  },
  methods: {
	  remove: function() {
		  var $self = this;
		  
		  $self.removeEnabled = false;
		  $.ajax({
			  method: "GET",
			  cache: false,
			  url: '/apps/data/ekey/api.lp?request=ekey-scada-packages-remove',
			  dataType: "json"
		  })
		  .done(function (response) {
			  if(response.count == 0) {
				  $self.packagesRemoved = true;
			  }
			  $self.removeEnabled = true;
		  })
		  .fail(function (xhr, textStatus, errorThrown) {
			  console.log(textStatus);
			  $self.removeEnabled = true;
		  });		  
	  }
  },  
  beforeMount: function() {
	  this.$buefy.config.setOptions( {
		  defaultIconPack: 'fa'
	  });
  }
});