Vue.use(vueMoment);

Vue.prototype.$eventBus = new Vue();

Vue.filter('objRenderer', function (value, objects) {	
  if (!value) return '';
  
  var object = {
	  name: ''
  };  
  
  if (!_.isUndefined(objects)) {
	  object = _.find(objects, {id: value});
  }   
  
  //return Scada.decodeGroupAddress(value) + ' ' + object.name;
  return object.name;
});

Vue.filter('hasAction', function (value) {
	if (!value) return '';
	
	if (value > 0) {
		return value;
	} else {
		return '';
	}
});

var app = new Vue({
  el: "#app",
  data: {	 
	 activeTab: Ekey.tabIndex
  },
  methods: {
	  getTabData: function(index) {
		  var arr = [];
		  arr[0] = 'get-users-list';
		  arr[1] = 'get-rights-list';
		  arr[2] = 'get-scanners-list';
		  arr[3] = 'get-actions-list';
		  arr[4] = 'get-logs-list';
 		  
		  this.$eventBus.$emit(arr[index]);
		  
		  if (index == 2) {
			   this.$eventBus.$emit('get-deamon-status');
		  }
	  }
  },  
  beforeMount: function() {
	  this.$buefy.config.setOptions( {
		  defaultIconPack: 'fa'
	  });
  },
  mounted: function () {
	  this.getTabData(Ekey.tabIndex);
  }
});
